Page MenuHomePhabricator

Cross browser test Compact language links
Closed, ResolvedPublic

Description

Since compact language links is planned to gradualy move out of beta, we need to do a cross browser testing with the latest version

Event Timeline

santhosh created this task.May 18 2016, 6:42 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 18 2016, 6:42 AM
santhosh triaged this task as Normal priority.May 18 2016, 6:43 AM

I'll dump here two things I noticed while working on patches: these might be reported already somewhere:

  1. Opening the language selector from display/input settings causes the screen to scroll up because we position it during onVisible, after scrolling happens.
  2. There is vertical sidebar in RTL for language selector language list
Amire80 moved this task from Backlog to Other on the ULS-CompactLinks board.May 22 2016, 6:25 PM

Moving to next sprint for continuous testing. More test items written in other documents are to be added in this ticket to keep all in one place.

https://github.com/wikimedia/jquery.uls/pull/227 for the RTL sidebar issues. Maybe @Amire80 could help to report this to upstream?

Arrbee closed this task as Resolved.Jun 14 2016, 7:41 AM
Arrbee raised the priority of this task from Normal to High.Jun 14 2016, 7:44 AM
Arrbee moved this task from In Progress to Done on the Language-Q4-2016-Sprint 4 board.
Nikerabbit lowered the priority of this task from High to Normal.Jun 14 2016, 8:14 AM

Looks like my RTL fix was not 100% perfect... long language names might go under the scroll bar, but that's perhaps better trade-off than having the horizontal scroll bar.

Amire80 moved this task from Other to Testing on the ULS-CompactLinks board.Mar 27 2018, 6:32 AM